# List account holdings

GET https://api.snaptrade.com/api/v1/accounts/{accountId}/holdings

**Deprecated.** Use the finer-grained account data endpoints instead: [balances](/reference/Account%20Information/AccountInformation_getUserAccountBalance), [positions](/reference/Account%20Information/AccountInformation_getAllAccountPositions), and [orders](/reference/Account%20Information/AccountInformation_getUserAccountOrders).
Returns a list of balances, positions, and recent orders for the specified account.

Check your API key on the [Customer Dashboard billing page](https://dashboard.snaptrade.com/settings/billing) to see if you have real-time data access:
  - If you do, this endpoint returns real-time data.
  - If you don't, Daily data is cached and refreshed once a day. Exact refresh timing may vary by brokerage. If you need real-time, use the [manual refresh](/reference/Connections/Connections_refreshBrokerageAuthorization) endpoint.

If the connection has become disabled, it can no longer access the latest data from the brokerage, but will continue to return the last available cached state. Please see [this guide](/docs/fix-broken-connections) on how to fix a disabled connection.


Reference: https://docs.snaptrade.com/reference/Account%20Information/AccountInformation_getUserHoldings

## Code Examples

### TypeScript

```typescript

import { Snaptrade } from "snaptrade-typescript-sdk";

const snaptrade = new Snaptrade({
  clientId: "PARTNER_CLIENT_ID",
  consumerKey: "CONSUMER_KEY",
});

const response =
  await snaptrade.accountInformation.getUserHoldings(
    {
      accountId:
        "917c8734-8470-4a3e-a18f-57c3f2ee6631",
      userId: "snaptrade-user-123",
      userSecret:
        "adf2aa34-8219-40f7-a6b3-60156985cc61",
    },
  );
console.log(response.data);

```

### Python

```python

from pprint import pprint
from snaptrade_client import SnapTrade

snaptrade = SnapTrade(
    client_id="PARTNER_CLIENT_ID",
    consumer_key="CONSUMER_KEY"
)

response = snaptrade.account_information.get_user_holdings(
    account_id="917c8734-8470-4a3e-a18f-57c3f2ee6631",
    user_id="snaptrade-user-123",
    user_secret="adf2aa34-8219-40f7-a6b3-60156985cc61"
)
pprint(response.body)

```

## OpenAPI Specification

```yaml

openapi: 3.0.0
info:
  description: Connect brokerage accounts to your app for live positions and trading
  version: 1.0.0
  title: SnapTrade
  termsOfService: N/A
  contact:
    email: api@snaptrade.com
  x-konfig-ignore:
    potential-incorrect-type: true
  x-readme:
    explorer-enabled: false
paths:
  /accounts/{accountId}/holdings:
    get:
      tags:
        - Account Information
      summary: List account holdings
      deprecated: true
      description: >
        **Deprecated.** Use the finer-grained account data endpoints instead:
        [balances](/reference/Account%20Information/AccountInformation_getUserAccountBalance),
        [positions](/reference/Account%20Information/AccountInformation_getAllAccountPositions),
        and
        [orders](/reference/Account%20Information/AccountInformation_getUserAccountOrders).

        Returns a list of balances, positions, and recent orders for the
        specified account.


        Check your API key on the [Customer Dashboard billing
        page](https://dashboard.snaptrade.com/settings/billing) to see if you
        have real-time data access:
          - If you do, this endpoint returns real-time data.
          - If you don't, Daily data is cached and refreshed once a day. Exact refresh timing may vary by brokerage. If you need real-time, use the [manual refresh](/reference/Connections/Connections_refreshBrokerageAuthorization) endpoint.

        If the connection has become disabled, it can no longer access the
        latest data from the brokerage, but will continue to return the last
        available cached state. Please see [this
        guide](/docs/fix-broken-connections) on how to fix a disabled
        connection.
      operationId: AccountInformation_getUserHoldings
      parameters:
        - in: path
          required: true
          name: accountId
          schema:
            description: >-
              Unique identifier for the connected brokerage account. This is the
              UUID used to reference the account in SnapTrade.
            type: string
            format: uuid
            example: 917c8734-8470-4a3e-a18f-57c3f2ee6631
        - in: query
          required: true
          name: userId
          schema:
            description: >-
              SnapTrade User ID. This is chosen by the API partner and can be
              any string that is a) unique to the user, and b) immutable for the
              user. It is recommended to NOT use email addresses for this
              property because they are usually not immutable.
            type: string
            example: snaptrade-user-123
        - in: query
          required: true
          name: userSecret
          schema:
            description: >-
              SnapTrade User Secret. This is a randomly generated string and
              should be stored securely. If compromised, please rotate it via
              the [rotate user secret
              endpoint](/reference/Authentication/Authentication_resetSnapTradeUserSecret).
            type: string
            example: adf2aa34-8219-40f7-a6b3-60156985cc61
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: >-
                  A wrapper object containing holdings information for a single
                  account.
                type: object
                properties:
                  account:
                    description: A single account at a brokerage.
                    type: object
                    required:
                      - id
                      - brokerage_authorization
                      - name
                      - number
                      - institution_name
                      - created_date
                      - sync_status
                      - balance
                      - is_paper
                    properties:
                      id:
                        description: >-
                          Unique identifier for the connected brokerage account.
                          This is the UUID used to reference the account in
                          SnapTrade. This ID should not change for as long as
                          the connection stays active. If the connection is
                          deleted and re-added, a new account ID will be
                          generated.
                        allOf:
                          - description: >-
                              Unique identifier for the connected brokerage
                              account. This is the UUID used to reference the
                              account in SnapTrade.
                            type: string
                            format: uuid
                            example: 917c8734-8470-4a3e-a18f-57c3f2ee6631
                      brokerage_authorization:
                        description: >-
                          Unique identifier for the connection
                          (brokerage_authorization_id). This is the UUID used to
                          reference the connection in SnapTrade.
                        type: string
                        format: uuid
                        example: 87b24961-b51e-4db8-9226-f198f6518a89
                      name:
                        type: string
                        description: >-
                          A display name for the account. Either assigned by the
                          user or by the brokerage itself. For certain
                          brokerages, SnapTrade appends the brokerage name to
                          the account name for clarity.
                        example: Robinhood Individual
                        nullable: true
                      number:
                        type: string
                        example: Q6542138443
                        description: >-
                          The account number assigned by the brokerage. For some
                          brokerages, this field may be masked for security
                          reasons.
                      institution_account_id:
                        type: string
                        example: '54953432'
                        nullable: true
                        description: >-
                          A stable and unique account identifier provided by the
                          institution. Will be set to null if not provided. When
                          present, can be used to check if a user has connected
                          the same brokerage account across multiple
                          connections.
                      institution_name:
                        type: string
                        description: The name of the brokerage that holds the account.
                        example: Robinhood
                      created_date:
                        description: >-
                          Timestamp in [ISO
                          8601](https://en.wikipedia.org/wiki/ISO_8601) format
                          indicating when the account was created in SnapTrade.
                          This is _not_ the account opening date at the
                          brokerage.
                        type: string
                        format: date-time
                        example: '2024-07-23T22:50:22.761Z'
                      funding_date:
                        description: >-
                          Timestamp in [ISO
                          8601](https://en.wikipedia.org/wiki/ISO_8601) format
                          indicating when the account was funded.
                        type: string
                        format: date-time
                        nullable: true
                        example: '2024-07-25T12:00:00.000Z'
                      opening_date:
                        description: >-
                          Timestamp in [ISO
                          8601](https://en.wikipedia.org/wiki/ISO_8601) format
                          indicating when the account was opened at the
                          brokerage.
                        type: string
                        format: date-time
                        nullable: true
                        example: '2024-07-20T09:30:00.000Z'
                      sync_status:
                        description: >-
                          Contains status update for the account sync process
                          between SnapTrade and the brokerage.
                        properties:
                          transactions:
                            description: >
                              Status of account transaction sync. SnapTrade
                              syncs transactions from the brokerage under the
                              following conditions:

                              1. Initial connection - SnapTrade syncs all
                              transactions from the brokerage account as far
                              back as the brokerage allows. Check [our
                              integrations
                              doc](https://support.snaptrade.com/brokerages-table?v=6fab8012ade6441fa0c6d9af9c55ce3a)
                              for details on how far back we sync for each
                              brokerage.

                              2. Daily sync - Once a day SnapTrade syncs new
                              transactions from the brokerage.

                              3. Manual sync - You can trigger an incremental
                              sync of transactions with the [transactions
                              sync](/reference/Experimental%20endpoints/Connections_syncBrokerageAuthorizationTransactions)
                              endpoint.
                            properties:
                              initial_sync_completed:
                                description: >-
                                  Indicates if the initial sync of transactions
                                  has been completed. For accounts with a large
                                  number of transactions, the initial sync may
                                  take a while to complete.
                                type: boolean
                                example: true
                              last_successful_sync:
                                description: >-
                                  All transactions up to this date have been
                                  successfully synced. Please note that this is
                                  not the date of the last transaction, nor the
                                  last time SnapTrade attempted to sync
                                  transactions.
                                nullable: true
                                allOf:
                                  - description: Date in YYYY-MM-DD format or null
                                    type: string
                                    example: '2022-01-24'
                                    format: date
                                    nullable: true
                              first_transaction_date:
                                description: >-
                                  The date of the first transaction in the
                                  account known to SnapTrade. It's possible that
                                  the account has transactions before this date,
                                  but they are not known to SnapTrade.
                                nullable: true
                                allOf:
                                  - description: Date in YYYY-MM-DD format or null
                                    type: string
                                    example: '2022-01-24'
                                    format: date
                                    nullable: true
                          holdings:
                            description: >
                              Status of account holdings sync. SnapTrade syncs
                              holdings from the brokerage under the following
                              conditions:

                              1. Initial connection - SnapTrade syncs all
                              holdings (positions, balances, recent orders, and
                              transactions) immediately after the connection is
                              established.

                              2. Daily sync - Once a day SnapTrade refreshes all
                              holdings from the brokerage.

                              3. Manual sync - You can trigger a refresh of
                              holdings with the [manual
                              refresh](/reference/Connections/Connections_refreshBrokerageAuthorization)
                              endpoint.
                            properties:
                              initial_sync_completed:
                                description: >-
                                  Indicates if the initial sync of holdings has
                                  been completed. For accounts with a large
                                  number of positions/orders/transactions, the
                                  initial sync may take a while to complete.
                                type: boolean
                                example: true
                              last_successful_sync:
                                description: >-
                                  The last time holdings were successfully
                                  synced by SnapTrade.
                                nullable: true
                                allOf:
                                  - description: >-
                                      Date in ISO 8601 format or null
                                      (YYYY-MM-DD HH:MM:SS.mmmmmmTZ)
                                    type: string
                                    example: '2024-06-28 18:42:46.561408+00:00'
                                    format: date-time
                                    nullable: true
                      balance:
                        description: Contains balance related information for the account.
                        properties:
                          total:
                            description: >-
                              Total market value of this account (includes cash,
                              equity, fixed income, etc). This value is directly
                              obtained from the brokerage and should reflect the
                              most accurate value of the account.
                            nullable: true
                            properties:
                              amount:
                                type: number
                                description: >-
                                  Total value denominated in the currency of the
                                  `currency` field.
                                example: 15363.23
                              currency:
                                type: string
                                description: The ISO-4217 currency code for the amount.
                                example: USD
                      status:
                        type: string
                        description: >-
                          The current status of the account. Can be either
                          "open", "closed", "archived" or null if the status is
                          unknown or not provided by the brokerage.
                        enum:
                          - open
                          - closed
                          - archived
                          - unavailable
                        nullable: true
                        example: open
                      raw_type:
                        type: string
                        description: The account type as provided by the brokerage
                        example: Margin
                        nullable: true
                      account_category:
                        type: string
                        description: >
                          The category of the account, normalized across
                          institutions.

                          Returns `null` if the category could not be
                          determined. Use this field to filter out
                          non-investment accounts if your integration only
                          supports trading / holdings flows. See [Filtering
                          Accounts by
                          Category](https://docs.snaptrade.com/docs/filtering-accounts-by-category)
                          for more information.

                          - `INVESTMENT`: A brokerage / investment account
                          (equities, options, crypto, etc.).

                          - `DEPOSIT`: A bank deposit account (checking,
                          savings).

                          - `LOC`: A line of credit account.
                        enum:
                          - INVESTMENT
                          - DEPOSIT
                          - LOC
                        nullable: true
                        example: INVESTMENT
                      meta:
                        type: object
                        deprecated: true
                        description: >-
                          Additional information about the account, such as
                          account type, status, etc. This information is
                          specific to the brokerage and there's no standard
                          format for this data. This field is deprecated and
                          subject to removal in a future version.
                        example:
                          type: Margin
                          status: ACTIVE
                          institution_name: Robinhood
                      portfolio_group:
                        description: >-
                          Portfolio Group ID. Portfolio Groups have been
                          deprecated. Please contact support if you have a use
                          case for it.
                        deprecated: true
                        type: string
                        format: uuid
                        nullable: true
                        example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                      cash_restrictions:
                        deprecated: true
                        description: This field is deprecated.
                        type: array
                        items:
                          type: string
                        example: []
                      is_paper:
                        type: boolean
                        description: >-
                          Indicates whether the account is a paper (simulated)
                          trading account.
                        example: false
                  balances:
                    type: array
                    nullable: true
                    description: >-
                      List of balances for the account. Each element of the list
                      has a distinct currency. Some brokerages like Questrade
                      [allows holding multiple currencies in the same
                      account](https://www.questrade.com/learning/questrade-basics/balances-and-reports/understanding-your-account-balances).
                    items:
                      description: >-
                        Holds balance information for a single currency in an
                        account.
                      type: object
                      properties:
                        currency:
                          description: >-
                            The currency of the balance. This applies to both
                            `cash` and `buying_power`.
                          allOf:
                            - description: Describes a currency object.
                              type: object
                              properties:
                                id:
                                  type: string
                                  format: uuid
                                  description: >-
                                    Unique identifier for the currency. This is
                                    the UUID used to reference the currency in
                                    SnapTrade.
                                  example: 87b24961-b51e-4db8-9226-f198f6518a89
                                code:
                                  type: string
                                  description: The ISO-4217 currency code for the currency.
                                  example: USD
                                name:
                                  type: string
                                  description: A human-friendly name of the currency.
                                  example: US Dollar
                        cash:
                          type: number
                          description: >-
                            The amount of available cash in the account
                            denominated in the currency of the `currency` field.
                            This value can be negative in a margin account with
                            a margin balance. Money market funds will be
                            included in this field, and also returned in
                            positions endpoints with `cash_equivalent` = true
                          example: 300.71
                          nullable: true
                        buying_power:
                          type: number
                          description: >-
                            Buying power only applies to margin accounts. For
                            non-margin accounts, buying power should be the same
                            as cash. Please note that this field is not always
                            available for all brokerages.
                          example: 410.71
                          nullable: true
                  positions:
                    type: array
                    nullable: true
                    description: >-
                      List of stock/ETF/crypto/mutual fund positions in the
                      account.
                    items:
                      description: >-
                        Describes a single stock/ETF/crypto/mutual fund position
                        in an account.
                      type: object
                      properties:
                        symbol:
                          description: >-
                            Uniquely describes a security for the position
                            within an account. The distinction between this and
                            the `symbol` child property is that this object is
                            specific to a position within an account, while the
                            `symbol` child property is universal across all
                            brokerage accounts. The caller should rely on the
                            `symbol` child property for most use cases.
                          type: object
                          properties:
                            symbol:
                              description: >-
                                Uniquely describes a single security + exchange
                                combination across all brokerages.
                              type: object
                              properties:
                                id:
                                  description: >-
                                    Unique identifier for the symbol within
                                    SnapTrade. This is the ID used to reference
                                    the symbol in SnapTrade API calls.
                                  type: string
                                  format: uuid
                                  example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                symbol:
                                  description: >-
                                    The security's trading ticker symbol. For
                                    example "AAPL" for Apple Inc. We largely
                                    follow the [Yahoo Finance ticker
                                    format](https://help.yahoo.com/kb/SLN2310.html)(click
                                    on "Yahoo Finance Market Coverage and Data
                                    Delays"). For example, for securities traded
                                    on the Toronto Stock Exchange, the symbol
                                    has a '.TO' suffix. For securities traded on
                                    NASDAQ or NYSE, the symbol does not have a
                                    suffix.
                                  type: string
                                  example: VAB.TO
                                raw_symbol:
                                  description: >-
                                    The raw symbol is `symbol` with the exchange
                                    suffix removed. For example, if `symbol` is
                                    "VAB.TO", then `raw_symbol` is "VAB".
                                  type: string
                                  example: VAB
                                description:
                                  description: >-
                                    A human-readable description of the
                                    security. This is usually the company name
                                    or ETF name.
                                  type: string
                                  example: VANGUARD CDN AGGREGATE BOND INDEX ETF
                                  nullable: true
                                currency:
                                  description: >-
                                    The currency in which the security is
                                    traded.
                                  allOf:
                                    - description: Describes a currency object.
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                          format: uuid
                                          description: >-
                                            Unique identifier for the currency. This
                                            is the UUID used to reference the
                                            currency in SnapTrade.
                                          example: 87b24961-b51e-4db8-9226-f198f6518a89
                                        code:
                                          type: string
                                          description: >-
                                            The ISO-4217 currency code for the
                                            currency.
                                          example: USD
                                        name:
                                          type: string
                                          description: A human-friendly name of the currency.
                                          example: US Dollar
                                exchange:
                                  description: >-
                                    The exchange on which the security is listed
                                    and traded.
                                  allOf:
                                    - description: >-
                                        Describes a single stock or crypto
                                        exchange.
                                      type: object
                                      properties:
                                        id:
                                          description: Unique ID for the exchange in SnapTrade.
                                          type: string
                                          format: uuid
                                          example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                        code:
                                          description: >-
                                            A short name for the exchange. For
                                            standardized exchange code, please use
                                            the `mic_code` field.
                                          type: string
                                          example: TSX
                                        mic_code:
                                          description: >-
                                            The [Market Identifier
                                            Code](https://en.wikipedia.org/wiki/Market_Identifier_Code)
                                            (MIC) for the exchange.
                                          type: string
                                          example: XTSE
                                          nullable: true
                                        name:
                                          description: The full name of the exchange.
                                          type: string
                                          example: Toronto Stock Exchange
                                        timezone:
                                          description: >-
                                            The timezone for the trading hours
                                            (`start_time` and `close_time`) of the
                                            exchange.
                                          type: string
                                          example: America/New_York
                                        start_time:
                                          description: >-
                                            The time when the exchange opens for
                                            trading.
                                          type: string
                                          example: '09:30:00'
                                        close_time:
                                          description: >-
                                            The time when the exchange closes for
                                            trading.
                                          type: string
                                          example: '16:00:00'
                                        suffix:
                                          description: >-
                                            The suffix to be appended to the symbol
                                            when trading on this exchange. For
                                            example, the suffix for the Toronto
                                            Stock Exchange is `.TO`. See
                                            `UniversalSymbol->symbol` and
                                            `UniversalSymbol->raw_symbol` for more
                                            detail.
                                          type: string
                                          example: .TO
                                          nullable: true
                                type:
                                  type: object
                                  description: >-
                                    The type of security. For example, "Common
                                    Stock" or "ETF".
                                  properties:
                                    id:
                                      description: >-
                                        Unique identifier for the security type
                                        within SnapTrade. This is the ID used to
                                        reference the security type in SnapTrade
                                        API calls.
                                      type: string
                                      format: uuid
                                      example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                    code:
                                      description: >
                                        A short code representing the security
                                        type. For example, "cs" for Common
                                        Stock. Here are some common values:
                                          - `ad` - ADR
                                          - `bnd` - Bond
                                          - `cs` - Common Stock
                                          - `cef` - Closed End Fund
                                          - `crypto` - Cryptocurrency
                                          - `et` - ETF
                                          - `oef` - Open Ended Fund
                                          - `pm` - Precious Metals
                                          - `ps` - Preferred Stock
                                          - `rt` - Right
                                          - `struct` - Structured Product
                                          - `ut` - Unit
                                          - `wi` - When Issued
                                          - `wt` - Warrant
                                      type: string
                                      example: cs
                                    description:
                                      description: >-
                                        A human-readable description of the
                                        security type. For example, "Common
                                        Stock" or "ETF".
                                      type: string
                                      example: Common Stock
                                    is_supported:
                                      deprecated: true
                                      description: >-
                                        This field is deprecated and should not
                                        be used. Please reach out to SnapTrade
                                        support if you have a valid use case for
                                        this.
                                      type: boolean
                                      example: true
                                figi_code:
                                  description: >-
                                    This identifier is unique per security per
                                    trading venue. See section 1.4.1 of the
                                    [FIGI
                                    Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                    for more information. This value should be
                                    the same as the `figi_code` in the
                                    `figi_instrument` child property.
                                  type: string
                                  example: BBG000B9XRY4
                                  nullable: true
                                figi_instrument:
                                  nullable: true
                                  allOf:
                                    - description: >-
                                        Financial Instrument Global Identifier
                                        (FIGI) information for the security. See
                                        [OpenFIGI](https://www.openfigi.com/)
                                        for more information.
                                      type: object
                                      properties:
                                        figi_code:
                                          description: >-
                                            This identifier is unique per security
                                            per trading venue. See section 1.4.1 of
                                            the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG000B9Y5X2
                                          nullable: true
                                        figi_share_class:
                                          description: >-
                                            This enables users to link multiple
                                            FIGIs for the same security in order to
                                            obtain an aggregated view across all
                                            countries and all exchanges. For
                                            example, `AAPL` has a different FIGI for
                                            each exchange/trading venue it is traded
                                            on. The `figi_share_class` is the same
                                            for all of these FIGIs. See section
                                            1.4.3 of the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG001S5N8V8
                                          nullable: true
                                currencies:
                                  deprecated: true
                                  description: >-
                                    This field is deprecated and should not be
                                    used. Please reach out to SnapTrade support
                                    if you have a valid use case for this.
                                  type: array
                                  items:
                                    description: Describes a currency object.
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                        format: uuid
                                        description: >-
                                          Unique identifier for the currency. This
                                          is the UUID used to reference the
                                          currency in SnapTrade.
                                        example: 87b24961-b51e-4db8-9226-f198f6518a89
                                      code:
                                        type: string
                                        description: >-
                                          The ISO-4217 currency code for the
                                          currency.
                                        example: USD
                                      name:
                                        type: string
                                        description: A human-friendly name of the currency.
                                        example: US Dollar
                              required:
                                - id
                                - symbol
                                - raw_symbol
                                - currency
                                - type
                                - currencies
                            id:
                              deprecated: true
                              description: >-
                                A unique ID for the security within SnapTrade,
                                scoped to the brokerage account that the
                                security belongs to. This is a legacy field and
                                should not be used. Do not rely on this being a
                                stable ID as it can change.
                              type: string
                              format: uuid
                              example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                            description:
                              deprecated: true
                              description: >-
                                This field is deprecated and the caller should
                                use the `symbol` child property's `description`
                                instead.
                              type: string
                              example: VANGUARD CDN AGGREGATE BOND INDEX ETF
                            local_id:
                              deprecated: true
                              description: >-
                                This field is deprecated and should not be used.
                                Please reach out to SnapTrade support if you
                                have a valid use case for this.
                              type: string
                              example: '3291231'
                              nullable: true
                            is_quotable:
                              deprecated: true
                              description: >-
                                This field is deprecated and should not be used.
                                Please reach out to SnapTrade support if you
                                have a valid use case for this.
                              type: boolean
                              example: true
                            is_tradable:
                              deprecated: true
                              description: >-
                                This field is deprecated and should not be used.
                                Please reach out to SnapTrade support if you
                                have a valid use case for this.
                              type: boolean
                              example: true
                        units:
                          description: >-
                            The number of shares of the position. This can be
                            fractional or integer units. A positive number
                            indicates a long position, while a negative number
                            indicates a short position.
                          type: number
                          example: 40
                          nullable: true
                        price:
                          type: number
                          example: 113.15
                          description: >-
                            Last known market price for the symbol. The
                            freshness of this price depends on the brokerage.
                            Some brokerages provide real-time prices, while
                            others provide delayed prices. It is recommended
                            that you rely on your own third-party market data
                            provider for most up to date prices.
                          nullable: true
                        open_pnl:
                          type: number
                          description: >-
                            The profit or loss on the position since it was
                            opened. This is calculated as the difference between
                            the current market value of the position and the
                            total cost of the position. It is recommended to
                            calculate this value using the average purchase
                            price and the current market price yourself, instead
                            of relying on this field.
                          example: 0.44
                          nullable: true
                        average_purchase_price:
                          type: number
                          nullable: true
                          example: 108.3353
                          description: Cost basis _per share_ of this position.
                        fractional_units:
                          deprecated: true
                          description: >-
                            Deprecated, use the `units` field for both
                            fractional and integer units going forward
                          type: number
                          nullable: true
                          example: 1.44
                        currency:
                          description: >
                            The 'position currency' (`price` and
                            `average_purchase_price`). This currency can
                            potentially be different from the 'listing currency'
                            of the security. The 'listing currency' is what's
                            quoted on the listing exchange, while the 'position
                            currency' is what the brokerage uses to hold and
                            value your position.
                          allOf:
                            - description: Describes a currency object.
                              type: object
                              properties:
                                id:
                                  type: string
                                  format: uuid
                                  description: >-
                                    Unique identifier for the currency. This is
                                    the UUID used to reference the currency in
                                    SnapTrade.
                                  example: 87b24961-b51e-4db8-9226-f198f6518a89
                                code:
                                  type: string
                                  description: The ISO-4217 currency code for the currency.
                                  example: USD
                                name:
                                  type: string
                                  description: A human-friendly name of the currency.
                                  example: US Dollar
                        cash_equivalent:
                          type: boolean
                          example: false
                          nullable: true
                          description: >-
                            If the position is a cash equivalent (usually a
                            money market fund) that is also counted in account
                            cash balance and buying power
                        tax_lots:
                          type: array
                          description: >-
                            List of tax lots for the given position (disabled by
                            default, only available on paid plans, contact
                            support if needed)
                          items:
                            description: Describes a single tax lot for a position.
                            type: object
                            properties:
                              original_purchase_date:
                                nullable: true
                                type: string
                                format: date-time
                                description: The date and time of the purchase.
                                example: '2022-01-15T10:30:00Z'
                              quantity:
                                nullable: true
                                type: string
                                description: >-
                                  The number of shares in the tax lot. This can
                                  be fractional or integer units.
                                example: '10'
                              purchased_price:
                                nullable: true
                                type: string
                                description: The purchase price per share for the tax lot.
                                example: '100.50'
                              cost_basis:
                                nullable: true
                                type: string
                                description: The cost basis of the entire lot.
                                example: '1005.00'
                              current_value:
                                nullable: true
                                type: string
                                description: The current market value of the entire lot.
                                example: '1200.00'
                              position_type:
                                nullable: true
                                type: string
                                description: >-
                                  The type of position for the tax lot (e.g.,
                                  LONG, SHORT).
                                example: LONG
                              lot_id:
                                nullable: true
                                type: string
                                description: The unique id for this specific tax lot
                                example: '12345678'
                  option_positions:
                    type: array
                    nullable: true
                    description: List of option positions in the account.
                    items:
                      description: Describes a single option position in an account.
                      type: object
                      properties:
                        symbol:
                          description: >-
                            Uniquely describes a security for the option
                            position within an account. The distinction between
                            this and the `option_symbol` child property is that
                            this object is specific to a position within an
                            account, while the `option_symbol` child property is
                            universal across all brokerage accounts. The caller
                            should rely on the `option_symbol` child property
                            for most use cases.
                          type: object
                          properties:
                            option_symbol:
                              description: >-
                                Uniquely describes an option security + exchange
                                combination across all brokerages.
                              type: object
                              required:
                                - id
                                - ticker
                                - option_type
                                - strike_price
                                - expiration_date
                                - underlying_symbol
                              properties:
                                id:
                                  description: >-
                                    Unique identifier for the option symbol
                                    within SnapTrade. This is the ID used to
                                    reference the symbol in SnapTrade API calls.
                                  type: string
                                  format: uuid
                                  example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                ticker:
                                  description: >-
                                    The [OCC
                                    symbol](https://en.wikipedia.org/wiki/Option_symbol)
                                    for the option.
                                  type: string
                                  example: AAPL  261218C00240000
                                option_type:
                                  description: The type of option. Either "CALL" or "PUT".
                                  type: string
                                  enum:
                                    - CALL
                                    - PUT
                                  example: CALL
                                strike_price:
                                  description: The option strike price.
                                  type: number
                                  example: 240
                                expiration_date:
                                  description: The option expiration date.
                                  type: string
                                  format: date
                                  example: '2026-12-18'
                                is_mini_option:
                                  description: >-
                                    Whether the option is a mini option. Mini
                                    options have 10 underlying shares per
                                    contract instead of the standard 100.
                                  type: boolean
                                  example: false
                                underlying_symbol:
                                  description: >-
                                    Symbol object for the underlying security of
                                    an option.
                                  type: object
                                  properties:
                                    id:
                                      description: >-
                                        Unique identifier for the symbol within
                                        SnapTrade. This is the ID used to
                                        reference the symbol in SnapTrade API
                                        calls.
                                      type: string
                                      format: uuid
                                      example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                    symbol:
                                      description: >-
                                        The security's trading ticker symbol.
                                        For example "AAPL" for Apple Inc. We
                                        largely follow the [Yahoo Finance ticker
                                        format](https://help.yahoo.com/kb/SLN2310.html)(click
                                        on "Yahoo Finance Market Coverage and
                                        Data Delays"). For example, for
                                        securities traded on the Toronto Stock
                                        Exchange, the symbol has a '.TO' suffix.
                                        For securities traded on NASDAQ or NYSE,
                                        the symbol does not have a suffix.
                                      type: string
                                      example: SPY
                                    raw_symbol:
                                      description: >-
                                        The raw symbol is `symbol` with the
                                        exchange suffix removed. For example, if
                                        `symbol` is "VAB.TO", then `raw_symbol`
                                        is "VAB".
                                      type: string
                                      example: VAB
                                    description:
                                      description: >-
                                        A human-readable description of the
                                        security. This is usually the company
                                        name or ETF name.
                                      type: string
                                      example: SPDR S&P 500 ETF Trust
                                      nullable: true
                                    currency:
                                      description: >-
                                        The currency in which the security is
                                        traded.
                                      allOf:
                                        - description: Describes a currency object.
                                          type: object
                                          properties:
                                            id:
                                              type: string
                                              format: uuid
                                              description: >-
                                                Unique identifier for the currency. This
                                                is the UUID used to reference the
                                                currency in SnapTrade.
                                              example: 87b24961-b51e-4db8-9226-f198f6518a89
                                            code:
                                              type: string
                                              description: >-
                                                The ISO-4217 currency code for the
                                                currency.
                                              example: USD
                                            name:
                                              type: string
                                              description: A human-friendly name of the currency.
                                              example: US Dollar
                                    exchange:
                                      description: >-
                                        The exchange on which the security is
                                        listed and traded.
                                      allOf:
                                        - description: US Stock Exchange
                                          type: object
                                          properties:
                                            id:
                                              type: string
                                              format: uuid
                                              example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                            code:
                                              type: string
                                              example: ARCX
                                            mic_code:
                                              type: string
                                              example: ARCA
                                              nullable: true
                                            name:
                                              type: string
                                              example: NYSE ARCA
                                            timezone:
                                              type: string
                                              example: America/New_York
                                            start_time:
                                              type: string
                                              example: '09:30:00'
                                            close_time:
                                              type: string
                                              example: '16:00:00'
                                            suffix:
                                              type: string
                                              example: None
                                              nullable: true
                                            allows_cryptocurrency_symbols:
                                              type: boolean
                                              example: false
                                    type:
                                      description: >-
                                        The type of security. For example,
                                        "Common Stock" or "ETF".
                                      allOf:
                                        - type: object
                                          description: >-
                                            The type of security. For example,
                                            "Common Stock" or "ETF".
                                          properties:
                                            id:
                                              description: >-
                                                Unique identifier for the security type
                                                within SnapTrade. This is the ID used to
                                                reference the security type in SnapTrade
                                                API calls.
                                              type: string
                                              format: uuid
                                              example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                            code:
                                              description: >
                                                A short code representing the security
                                                type. For example, "cs" for Common
                                                Stock. Here are some common values:
                                                  - `ad` - ADR
                                                  - `bnd` - Bond
                                                  - `cs` - Common Stock
                                                  - `cef` - Closed End Fund
                                                  - `crypto` - Cryptocurrency
                                                  - `et` - ETF
                                                  - `oef` - Open Ended Fund
                                                  - `pm` - Precious Metals
                                                  - `ps` - Preferred Stock
                                                  - `rt` - Right
                                                  - `struct` - Structured Product
                                                  - `ut` - Unit
                                                  - `wi` - When Issued
                                                  - `wt` - Warrant
                                              type: string
                                              example: cs
                                            description:
                                              description: >-
                                                A human-readable description of the
                                                security type. For example, "Common
                                                Stock" or "ETF".
                                              type: string
                                              example: Common Stock
                                            is_supported:
                                              deprecated: true
                                              description: >-
                                                This field is deprecated and should not
                                                be used. Please reach out to SnapTrade
                                                support if you have a valid use case for
                                                this.
                                              type: boolean
                                              example: true
                                    figi_code:
                                      description: >-
                                        This identifier is unique per security
                                        per trading venue. See section 1.4.1 of
                                        the [FIGI
                                        Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                        for more information. This value should
                                        be the same as the `figi_code` in the
                                        `figi_instrument` child property.
                                      type: string
                                      example: BBG000B9XRY4
                                      nullable: true
                                    figi_instrument:
                                      nullable: true
                                      allOf:
                                        - description: >-
                                            Financial Instrument Global Identifier
                                            (FIGI) information for the security. See
                                            [OpenFIGI](https://www.openfigi.com/)
                                            for more information.
                                          type: object
                                          properties:
                                            figi_code:
                                              description: >-
                                                This identifier is unique per security
                                                per trading venue. See section 1.4.1 of
                                                the [FIGI
                                                Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                                for more information.
                                              type: string
                                              example: BBG000B9Y5X2
                                              nullable: true
                                            figi_share_class:
                                              description: >-
                                                This enables users to link multiple
                                                FIGIs for the same security in order to
                                                obtain an aggregated view across all
                                                countries and all exchanges. For
                                                example, `AAPL` has a different FIGI for
                                                each exchange/trading venue it is traded
                                                on. The `figi_share_class` is the same
                                                for all of these FIGIs. See section
                                                1.4.3 of the [FIGI
                                                Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                                for more information.
                                              type: string
                                              example: BBG001S5N8V8
                                              nullable: true
                                    currencies:
                                      deprecated: true
                                      description: >-
                                        This field is deprecated and should not
                                        be used. Please reach out to SnapTrade
                                        support if you have a valid use case for
                                        this.
                                      type: array
                                      items:
                                        description: Describes a currency object.
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                            format: uuid
                                            description: >-
                                              Unique identifier for the currency. This
                                              is the UUID used to reference the
                                              currency in SnapTrade.
                                            example: 87b24961-b51e-4db8-9226-f198f6518a89
                                          code:
                                            type: string
                                            description: >-
                                              The ISO-4217 currency code for the
                                              currency.
                                            example: USD
                                          name:
                                            type: string
                                            description: A human-friendly name of the currency.
                                            example: US Dollar
                            id:
                              deprecated: true
                              description: >-
                                A unique ID for the security within SnapTrade,
                                scoped to the brokerage account that the
                                security belongs to. This is a legacy field and
                                should not be used. Do not rely on this being a
                                stable ID as it can change.
                              type: string
                              format: uuid
                              example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                            description:
                              deprecated: true
                              description: >-
                                This field is deprecated and the caller should
                                use the `option_symbol` child property's
                                `description` instead.
                              type: string
                              example: SPY CALL 7/17 200
                        price:
                          type: number
                          example: 38.4
                          description: >-
                            Last known market price _per share_ of the option
                            contract. The freshness of this price depends on the
                            brokerage. Some brokerages provide real-time prices,
                            while others provide delayed prices. It is
                            recommended that you rely on your own third-party
                            market data provider for most up to date prices.
                          nullable: true
                        units:
                          type: number
                          description: >-
                            The number of contracts for this option position. A
                            positive number indicates a long position, while a
                            negative number indicates a short position.
                          example: -50
                        average_purchase_price:
                          type: number
                          nullable: true
                          example: 4126
                          description: >-
                            Cost basis _per contract_ of this option position.
                            To get the cost basis _per share_, divide this value
                            by the number of shares per contract (usually 100).
                        currency:
                          deprecated: true
                          description: >-
                            The currency of the price. This field is deprecated
                            and will be removed in a future version. The
                            currency of the price is determined by the currency
                            of the underlying security.
                          nullable: true
                          allOf:
                            - description: Describes a currency object.
                              type: object
                              properties:
                                id:
                                  type: string
                                  format: uuid
                                  description: >-
                                    Unique identifier for the currency. This is
                                    the UUID used to reference the currency in
                                    SnapTrade.
                                  example: 87b24961-b51e-4db8-9226-f198f6518a89
                                code:
                                  type: string
                                  description: The ISO-4217 currency code for the currency.
                                  example: USD
                                name:
                                  type: string
                                  description: A human-friendly name of the currency.
                                  example: US Dollar
                  orders:
                    type: array
                    nullable: true
                    description: >-
                      List of recent orders in the account, including both
                      pending and executed orders. Note that option orders are
                      included in this list. Option orders will have a null
                      `universal_symbol` field and a non-null `option_symbol`
                      field.
                    items:
                      description: >-
                        Describes a single recent order in an account. Each
                        record here represents a single order leg. For multi-leg
                        orders, there will be multiple records.
                      type: object
                      properties:
                        brokerage_order_id:
                          description: >-
                            Order ID returned by brokerage. This is the unique
                            identifier for the order in the brokerage system.
                          type: string
                          example: 66a033fa-da74-4fcf-b527-feefdec9257e
                        brokerage_group_order_id:
                          description: >
                            The brokerage-assigned identifier that links all
                            orders within a complex order (OCO, OTO, OTOCO)
                            together.

                            Null for non-complex orders or when the brokerage
                            does not return a group identifier.
                          nullable: true
                          type: string
                          example: '1234567890'
                        order_role:
                          description: >
                            The role of this order within a complex order group
                            (OCO, OTO, OTOCO). Null for non-complex orders.
                          nullable: true
                          type: string
                          enum:
                            - TRIGGER
                            - CONDITIONAL
                            - PEER
                          example: TRIGGER
                        status:
                          description: >
                            Indicates the status of an order. SnapTrade does a
                            best effort to map brokerage statuses to statuses in
                            this enum.

                            Possible values include:
                              - NONE
                              - PENDING
                              - ACCEPTED
                              - FAILED
                              - REJECTED
                              - CANCELED
                              - PARTIAL_CANCELED
                              - CANCEL_PENDING
                              - EXECUTED
                              - PARTIAL
                              - REPLACE_PENDING
                              - REPLACED
                              - EXPIRED
                              - QUEUED
                              - TRIGGERED
                              - ACTIVATED
                          type: string
                          enum:
                            - NONE
                            - PENDING
                            - ACCEPTED
                            - FAILED
                            - REJECTED
                            - CANCELED
                            - PARTIAL_CANCELED
                            - CANCEL_PENDING
                            - EXECUTED
                            - PARTIAL
                            - REPLACE_PENDING
                            - REPLACED
                            - STOPPED
                            - SUSPENDED
                            - EXPIRED
                            - QUEUED
                            - TRIGGERED
                            - ACTIVATED
                            - PENDING_RISK_REVIEW
                            - CONTINGENT_ORDER
                        universal_symbol:
                          description: >-
                            Contains information about the security that the
                            order is for. This field is only present for
                            stock/ETF/crypto/mutual fund orders. For option
                            orders, this field will be null and the
                            `option_symbol` field will be populated.
                          nullable: true
                          allOf:
                            - description: >-
                                Uniquely describes a single security + exchange
                                combination across all brokerages.
                              type: object
                              properties:
                                id:
                                  description: >-
                                    Unique identifier for the symbol within
                                    SnapTrade. This is the ID used to reference
                                    the symbol in SnapTrade API calls.
                                  type: string
                                  format: uuid
                                  example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                symbol:
                                  description: >-
                                    The security's trading ticker symbol. For
                                    example "AAPL" for Apple Inc. We largely
                                    follow the [Yahoo Finance ticker
                                    format](https://help.yahoo.com/kb/SLN2310.html)(click
                                    on "Yahoo Finance Market Coverage and Data
                                    Delays"). For example, for securities traded
                                    on the Toronto Stock Exchange, the symbol
                                    has a '.TO' suffix. For securities traded on
                                    NASDAQ or NYSE, the symbol does not have a
                                    suffix.
                                  type: string
                                  example: VAB.TO
                                raw_symbol:
                                  description: >-
                                    The raw symbol is `symbol` with the exchange
                                    suffix removed. For example, if `symbol` is
                                    "VAB.TO", then `raw_symbol` is "VAB".
                                  type: string
                                  example: VAB
                                description:
                                  description: >-
                                    A human-readable description of the
                                    security. This is usually the company name
                                    or ETF name.
                                  type: string
                                  example: VANGUARD CDN AGGREGATE BOND INDEX ETF
                                  nullable: true
                                currency:
                                  description: >-
                                    The currency in which the security is
                                    traded.
                                  allOf:
                                    - description: Describes a currency object.
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                          format: uuid
                                          description: >-
                                            Unique identifier for the currency. This
                                            is the UUID used to reference the
                                            currency in SnapTrade.
                                          example: 87b24961-b51e-4db8-9226-f198f6518a89
                                        code:
                                          type: string
                                          description: >-
                                            The ISO-4217 currency code for the
                                            currency.
                                          example: USD
                                        name:
                                          type: string
                                          description: A human-friendly name of the currency.
                                          example: US Dollar
                                exchange:
                                  description: >-
                                    The exchange on which the security is listed
                                    and traded.
                                  allOf:
                                    - description: >-
                                        Describes a single stock or crypto
                                        exchange.
                                      type: object
                                      properties:
                                        id:
                                          description: Unique ID for the exchange in SnapTrade.
                                          type: string
                                          format: uuid
                                          example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                        code:
                                          description: >-
                                            A short name for the exchange. For
                                            standardized exchange code, please use
                                            the `mic_code` field.
                                          type: string
                                          example: TSX
                                        mic_code:
                                          description: >-
                                            The [Market Identifier
                                            Code](https://en.wikipedia.org/wiki/Market_Identifier_Code)
                                            (MIC) for the exchange.
                                          type: string
                                          example: XTSE
                                          nullable: true
                                        name:
                                          description: The full name of the exchange.
                                          type: string
                                          example: Toronto Stock Exchange
                                        timezone:
                                          description: >-
                                            The timezone for the trading hours
                                            (`start_time` and `close_time`) of the
                                            exchange.
                                          type: string
                                          example: America/New_York
                                        start_time:
                                          description: >-
                                            The time when the exchange opens for
                                            trading.
                                          type: string
                                          example: '09:30:00'
                                        close_time:
                                          description: >-
                                            The time when the exchange closes for
                                            trading.
                                          type: string
                                          example: '16:00:00'
                                        suffix:
                                          description: >-
                                            The suffix to be appended to the symbol
                                            when trading on this exchange. For
                                            example, the suffix for the Toronto
                                            Stock Exchange is `.TO`. See
                                            `UniversalSymbol->symbol` and
                                            `UniversalSymbol->raw_symbol` for more
                                            detail.
                                          type: string
                                          example: .TO
                                          nullable: true
                                type:
                                  type: object
                                  description: >-
                                    The type of security. For example, "Common
                                    Stock" or "ETF".
                                  properties:
                                    id:
                                      description: >-
                                        Unique identifier for the security type
                                        within SnapTrade. This is the ID used to
                                        reference the security type in SnapTrade
                                        API calls.
                                      type: string
                                      format: uuid
                                      example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                    code:
                                      description: >
                                        A short code representing the security
                                        type. For example, "cs" for Common
                                        Stock. Here are some common values:
                                          - `ad` - ADR
                                          - `bnd` - Bond
                                          - `cs` - Common Stock
                                          - `cef` - Closed End Fund
                                          - `crypto` - Cryptocurrency
                                          - `et` - ETF
                                          - `oef` - Open Ended Fund
                                          - `pm` - Precious Metals
                                          - `ps` - Preferred Stock
                                          - `rt` - Right
                                          - `struct` - Structured Product
                                          - `ut` - Unit
                                          - `wi` - When Issued
                                          - `wt` - Warrant
                                      type: string
                                      example: cs
                                    description:
                                      description: >-
                                        A human-readable description of the
                                        security type. For example, "Common
                                        Stock" or "ETF".
                                      type: string
                                      example: Common Stock
                                    is_supported:
                                      deprecated: true
                                      description: >-
                                        This field is deprecated and should not
                                        be used. Please reach out to SnapTrade
                                        support if you have a valid use case for
                                        this.
                                      type: boolean
                                      example: true
                                figi_code:
                                  description: >-
                                    This identifier is unique per security per
                                    trading venue. See section 1.4.1 of the
                                    [FIGI
                                    Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                    for more information. This value should be
                                    the same as the `figi_code` in the
                                    `figi_instrument` child property.
                                  type: string
                                  example: BBG000B9XRY4
                                  nullable: true
                                figi_instrument:
                                  nullable: true
                                  allOf:
                                    - description: >-
                                        Financial Instrument Global Identifier
                                        (FIGI) information for the security. See
                                        [OpenFIGI](https://www.openfigi.com/)
                                        for more information.
                                      type: object
                                      properties:
                                        figi_code:
                                          description: >-
                                            This identifier is unique per security
                                            per trading venue. See section 1.4.1 of
                                            the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG000B9Y5X2
                                          nullable: true
                                        figi_share_class:
                                          description: >-
                                            This enables users to link multiple
                                            FIGIs for the same security in order to
                                            obtain an aggregated view across all
                                            countries and all exchanges. For
                                            example, `AAPL` has a different FIGI for
                                            each exchange/trading venue it is traded
                                            on. The `figi_share_class` is the same
                                            for all of these FIGIs. See section
                                            1.4.3 of the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG001S5N8V8
                                          nullable: true
                                currencies:
                                  deprecated: true
                                  description: >-
                                    This field is deprecated and should not be
                                    used. Please reach out to SnapTrade support
                                    if you have a valid use case for this.
                                  type: array
                                  items:
                                    description: Describes a currency object.
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                        format: uuid
                                        description: >-
                                          Unique identifier for the currency. This
                                          is the UUID used to reference the
                                          currency in SnapTrade.
                                        example: 87b24961-b51e-4db8-9226-f198f6518a89
                                      code:
                                        type: string
                                        description: >-
                                          The ISO-4217 currency code for the
                                          currency.
                                        example: USD
                                      name:
                                        type: string
                                        description: A human-friendly name of the currency.
                                        example: US Dollar
                              required:
                                - id
                                - symbol
                                - raw_symbol
                                - currency
                                - type
                                - currencies
                        option_symbol:
                          description: >-
                            Contains information about the option contract that
                            the order is for. This field is only present for
                            option orders. For stock/ETF/crypto/mutual fund
                            orders, this field will be null and the
                            `universal_symbol` field will be populated.
                          nullable: true
                          allOf:
                            - description: >-
                                Uniquely describes an option security + exchange
                                combination across all brokerages.
                              type: object
                              required:
                                - id
                                - ticker
                                - option_type
                                - strike_price
                                - expiration_date
                                - underlying_symbol
                              properties:
                                id:
                                  description: >-
                                    Unique identifier for the option symbol
                                    within SnapTrade. This is the ID used to
                                    reference the symbol in SnapTrade API calls.
                                  type: string
                                  format: uuid
                                  example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                ticker:
                                  description: >-
                                    The [OCC
                                    symbol](https://en.wikipedia.org/wiki/Option_symbol)
                                    for the option.
                                  type: string
                                  example: AAPL  261218C00240000
                                option_type:
                                  description: The type of option. Either "CALL" or "PUT".
                                  type: string
                                  enum:
                                    - CALL
                                    - PUT
                                  example: CALL
[...]
